## MiragePlugin MiragePlugin — Plugin object. |

## Synopsis

    #include <mirage-plugin.h>

    struct              MiragePlugin;
    struct              MiragePluginClass;
    MiragePlugin *      mirage_plugin_new                   (const gchar *filename);

## Object Hierarchy

      GObject
       +----GTypeModule
             +----MiragePlugin

## Implemented Interfaces

MiragePlugin implements GTypePlugin.

## Properties

      "filename"                 gchar*                : Read / Write / Construct Only

## Description

MiragePlugin object is a base object of libMirage's plugin system and derives from GTypeModule. It provides support for loadable modules that contain implementations of image parsers, data fragments or file filters.

The plugin system is used internally by libMirage, and should generally not be used elsewhere.

## Details

### struct MiragePlugin

    struct MiragePlugin;

All the fields in the MiragePlugin structure are private to the MiragePlugin implementation and should never be accessed directly.

### struct MiragePluginClass

    struct MiragePluginClass {
        GTypeModuleClass parent_class;
    };

The class structure for the MiragePlugin type.

GTypeModuleClass `parent_class`; | the parent class

### mirage_plugin_new ()

    MiragePlugin *      mirage_plugin_new                   (const gchar *filename);

Creates new plugin.

`filename` : | plugin's filename. [in]
Returns : | a new MiragePlugin object that represents plugin. It should be released with `g_object_unref()` when no longer needed.

## Property Details

### The `"filename"` property

      "filename"                 gchar*                : Read / Write / Construct Only

The filename of the module.

Default value: NULL

## See Also

MirageParser, MirageFragment, MirageFileFilter